<?php

use yii\db\Migration;

/**
 * Class m240813_184024_actualizacion_de_Vehiculo, PERO ES LA CREACIÓN DE LA TABLA "Color"
 */
class m240813_184024_actualizacion_de_Vehiculo extends Migration {
  public function safeUp() {
    $this->createTable('Color', [
      "id" => $this->string(36),
      "clave" => $this->string(100)->notNull(),
      "color" => $this->string(100)->notNull(),
      "descripcion" => $this->string(100),
      "creado" => $this->timestamp()->append(" with time zone"),
      "modificado" => $this->timestamp()->append(" with time zone"),
      "eliminado" => $this->timestamp()->append(" with time zone"),
    ]);

    $this->addPrimaryKey('ColorPK', 'Color', 'id');
  }

  /**
   * {@inheritdoc}
   */
  public function safeDown() {
    $this->dropTable("Color");
  }
}
