<?php

/**
 * @var $modelo \v1\models\HerramientaInventario
 */

use app\models\Herramienta;
use app\models\HerramientaInventario;
use app\models\TipoHerramienta;
use Luecano\NumeroALetras\NumeroALetras;
use pdf\web\Controller;

setlocale(LC_ALL, 'es_ES');
$basePath = \Yii::getAlias('@app') . "/web/";

$inventarios = HerramientaInventario::find()->with('herramienta')->all();

?>
<div class="contentpanel">
  <table style="width:1200px; border-collapse:collapse; border: 1px solid  #000000; margin-right:auto; margin-left:auto; ">
    <tr>
      <td style="width:20% !important; background-color:#000000; text-align:center;">
        <img src="<?= $basePath ?>/img/edesarrollos-unicolor-blanco.png" style="width:30%">
      </td>
    </tr>
    <tr>
      <td style="font-size:40px; background-color:#000000; color:#ffffff; text-align:center; height:60px">
        Inventario de Herramienta
      </td>
    </tr>
    <tr>
      <td>
        <table width="100%">
          <tr>
            <th rowspan="2" style="width:50%">FECHA</th>
            <th style="width:50%">DIA/MES/AÑO</th>
          </tr>
        </table>
      </td>
    </tr>
  </table>
  <table border="1" style="border-collapse:collapse; width:1100px; margin-top:20px; text-align: left;">
    <tr style="background-color:#000000; color:#ffffff">
      <th style="height:30px; color:#ffffff; width:200px">
        Nombre Herramienta
      </th>
      <th style="height:30px; color:#ffffff; width:200px; text-align: left;">
        Tipo
      </th>
      <th style="height:30px; color:#ffffff; width:200px; text-align: left;">
        Serie
      </th>
      <th style="height:30px; color:#ffffff; width:200px; text-align: left;">
        Costo
      </th>
      <th style="height:30px; color:#ffffff; width:200px; text-align: left;">
        Descripción
      </th>
      <th style="height:30px; color:#ffffff; width:200px; text-align: left;">
        Estatus
      </th>
      <th style="height:30px; color:#ffffff; width:200px; text-align: left;">
        Cantidad
      </th>
      <th style="height:30px; color:#ffffff; width:200px; text-align: left;">
        Fecha Compra
      </th>
      <th style="height:30px; color:#ffffff; width:200px; text-align: left;">
        Fecha de Ingreso
      </th>
    </tr>
    <?php
    $totalGeneral = 0;
      foreach ($inventarios as $inventario) :

    ?>
      <tr style="height:100px">
        <td  style="width:20px"><?= $inventario->herramienta->nombre ?></td>
        <td><?= $inventario->herramienta->tipoHerramienta->tipo ?></td>
        <td style="height:25px"><?= $inventario->herramienta->serie ?></td>
        <td style="text-align:left">$<?= number_format($inventario->herramienta->costo, 2, '.', ',') ?></td>
        <td style="height:25px"><?= $inventario->herramienta->descripcion ?></td>
        <td style="height:25px"><?= $inventario->herramienta->estatus ?></td>
        <td style="height:25px"><?= $inventario->cantidad ?></td>
        <td style="height:25px"><?= $inventario->herramienta->fechaCompra ?></td>
        <td style="height:25px"><?= $inventario->fechaIngreso ?></td>
      </tr>
    <?php endforeach; ?>

  </table>
</div>